package hsmw.jotto5.beleg.data;

/**
 * Bildet ein Kursmodul ab.
 *
 * Ist eine Kindklasse von Group, und enthält alle teilnehmenden Studierenden sowie befähigte Dozierende.
 */
public class Module extends Group {

	@WebField(displayAs = "Semesterwochenstunden")
	public final int sws;

	/**
	 * Konstruktor.
	 *
	 * @param uid Die zu vergebende UID
	 * @param displayName Der Anzeigename
	 */
	public Module(String uid, String displayName, int sws) {
		super(uid, displayName);
		this.sws = sws;
	}

}
