package hsmw.jotto5.beleg.views;

import java.io.IOException;
import java.io.OutputStream;
import com.sun.net.httpserver.*;

/**
 * Stellt das Login-Formular bereit und verwaltet die Anmeldung.
 *
 * Bei einer GET-Anfrage ohne gültige Session wird das Login-Formular
 * zurückgegeben. Bei einer POST-Anfrage wird versucht, mit den gegebenen
 * Anmeldedaten in den name und pass Anfragewerten zu autorisieren.
 * 
 * Bei erfolgter Autorisierung oder bei Aufruf mit gültiger Session wird an den
 * main Endpunkt weitergeleitet.
 */
public class AuthView implements HttpHandler {

	public void handle(HttpExchange t) throws IOException {
		String response;
		OutputStream os;
		boolean login = false;

		os = t.getResponseBody();

		// TODO: nach Session prüfen

		if (t.getRequestMethod().equals("POST")) {
			// TODO: Versuchen zu autorisieren
			login = true;
		} else { 
			response = Defaults.HTMLHEADER + "<h1>Beleg - Anmeldung!</h1>";
			response += "<form method=\"POST\"><input type=\"text\" name=\"name\"><br><input type=\"password\" name=\"pass\"><br><input type=\"submit\">";
			response += Defaults.HTMLFOOTER;
			t.sendResponseHeaders(200, response.length());
			os.write(response.getBytes());
		}

		if (login) {
			t.getResponseHeaders().add("Location", "/main");
			t.sendResponseHeaders(308, 0);
		}

		os.close();
	}

}
